<?PHP
$tipo_local = 1;
include("../../secure/secure.php");
include ('../../conf/configuracao.php');
mysql_connect( $bd_host, $bd_user, $bd_senha )
	or die ( 'Não foi possível conectar ao Servidor.' );
mysql_select_db( $bd_database )
	or die ( 'Não foi possível conectar a Base de Dados.' );
//mysql_query("update configuracao set chave='$acao' where codigo = 6")
//	or die ( 'Não foi possivel efetuar a alteracao dos dados da ficha.' );
		$sql = "SELECT * FROM gabarito_conf where codigo = $gabarito";
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161.' );
		$num = mysql_num_rows($result);
		if ($num == 0 ) {
			echo '<br><br><br><br><div align="center"><font face="Verdana" size="2" color="#FF0000"><strong>Gabarito não encontrado</strong></font></div>';
		}
		else {
			while($info = mysql_fetch_array($result)) {
				//$curso_removido = trim(Descriptografar($info["curso"],$Chave));
				$curso_removido = $info["curso"];
				$materia_removido = $info["materia"];
			}
			$remocao = "Delete from gabarito_conf where codigo=$gabarito";
			$executa_remocao = mysql_query($remocao)
				or die ( 'Não foi executada a remoção.' );
			$sql = "SELECT * FROM respostas_gab";
			$result = mysql_query($sql)
				or die ( 'Não foi possível executar a query 161.' );
			$codigo_eliminacao = 0;
			$lingua_extrangeira = 0;
			while($info = mysql_fetch_array($result)) {
				$aux = $info["codigo_interno"];
				$aux_1 = $info["materia"];
				if ($aux == $gabarito) {
					$codigo_eliminacao = $info["codigo"];
					$lingua_extrangeira = $info["le"];
				}
				
			}
			if ($codigo_eliminacao != 0 ) {
				$remocao = "Delete from respostas_gab where codigo=$codigo_eliminacao";
				$executa_remocao = mysql_query($remocao)
					or die ( 'Não foi executada a remoção.' );
			}
			if ($lingua_extrangeira != 0) {
				//echo 'Lingua ' . $lingua_extrangeira . '<br>';
				//echo 'Curso ' . $curso_removido . '<br>';
				//echo 'Materia ' . $materia_removido . '<br>';
				$remocao = "Delete from anular where curso=$curso_removido and materia = $materia_removido and lingua = $lingua_extrangeira";
				$executa_remocao = mysql_query($remocao)
					or die ( 'Não foi executada a remoção.' );
			}
			else {
				$remocao = "Delete from anular where curso=$curso_removido and materia = $materia_removido";
				$executa_remocao = mysql_query($remocao)
					or die ( 'Não foi executada a remoção.' );
			}
			echo '<br><br><br><br><div align="center"><font face="Verdana" size="2" color="#FF0000"><strong>Gabarito excluído</strong></font></div>';
		}
?>

